<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejemplo_6</title>
</head>
<body>
    <h1>Ejemplo 6</h1>

    <script>
        
        const reverse = (array1) => {

            for (var i = 0; i < (array1.length/2); i++) {
                let other = array1.length - i - 1,
                    temp  = array1[i];
                    array1[i] = array1[other];
                    array1[other] = temp;
            }
            console.log(array1);
        }

        let print1 = [1,2,3,4,5,6,7];
        reverse(print1);

    </script>
    
</body>
</html>